<?php get_header(); ?>
<!--Orta Taraf -->
<div id="orta">
     <div class="container_12 orta_arkaplan">
        <div class="grid_8">
        	<?php if (have_posts()) : ?>
            <div class="arsiv">
            <?php $post = $posts[0]; // Hack. $post değişkenini ata ki the_date() çalışsın. ?>
            <?php /* Kategori arşivi ise */ if (is_category()) { ?>
              <h2>Kategori: <?php single_cat_title(); ?></h2>
              <p><?php echo category_description(); ?></p>
            <?php /* Etiket arşivi ise */ } elseif( is_tag() ) { ?>
              <h2>Etiket: <?php single_tag_title(); ?></h2>
            <?php /* Günlük arşiv ise */ } elseif (is_day()) { ?>
              <h2>Gün: <?php the_time('d F Y'); ?></h2>
            <?php /* Aylık arşiv ise */ } elseif (is_month()) { ?>
              <h2>Ay: <?php the_time('F Y'); ?></h2>
            <?php /* Yıllık arşiv ise */ } elseif (is_year()) { ?>
              <h2>Yıl: <?php the_time('Y'); ?></h2>
            <?php /* Yazar arşivi ise */ } elseif (is_author()) { ?>
              <h2>Yazar Arşivi</h2>
            <?php /* Sayfalanmış bir arşiv ise */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
              <h2>Blog Arşivi</h2>
            <?php } ?>            
            </div><!--arsiv bitti -->
            <?php while (have_posts()) : the_post(); ?>
        	<div class="icerik">
            	
                <div class="icerik_detay">
                	<div class="tarih">
                    	<span class="gun"><?php the_time('d'); ?></span>
                        <span class="ay"><?php the_time('M'); ?></span>
                    </div><!--tarih bitti -->
                    <span class="yazar"><?php the_author(); ?></span>
                    <span class="yorum"><a href="<?php comments_link(); ?>"><?php comments_number('0 Yorum','1 Yorum','% Yorum'); ?></a></span>
                </div><!--icerik_detay bitti -->
                <h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
                <span class="kategori"><strong>Kategori</strong>: <?php the_category(', ') ?></span>
                <?php if ( has_post_thumbnail() ) { ?><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('buyuk'); ?></a><?php } ?>
                <?php the_content('', FALSE); ?>
                <?php wp_link_pages( array( 'before' => '<p>Sayfalar:', 'after' => '</p>' ) ); ?>
                
                <div class="icerik_devami">
                	<?php the_tags( '<span class="etiketler"><strong>Etiketler</strong>: ', ', ', '</span>'); ?>
                    <span class="devami"><a href="<?php the_permalink(); ?>">Devamı &raquo;</a></span><!--devami bitti -->
                </div><!--icerik_devami bitti -->
            </div><!--icerik bitti -->
			<!--<?php trackback_rdf(); ?> -->
            <?php endwhile; ?>
            <?php else : ?>
				404
			<?php endif; ?>
            <?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } else { echo '<div class="wp-pagenavi"><span class="page">'; previous_posts_link('« Yeni Yazılar', 0); echo '</span><span class="pages">'; next_posts_link('Eski Yazılar »', 0); echo '</span></div>'; } ?>
        </div><!--8 bitti -->
		<?php get_sidebar(); ?>
    </div><!--12 bitti -->
</div><!--orta bitti -->
<!--Orta Taraf -->
<?php get_footer(); ?>
