<?php
/*Ayarlar dosyasi*/
require_once (TEMPLATEPATH . "/ayarlar.php");

/*thumbnail*/
if ( function_exists( 'add_image_size' ) ) {
	add_theme_support( 'post-thumbnails', array( 'post'));
}
if ( function_exists( 'add_image_size' ) ) { 
	set_post_thumbnail_size( 80, 80, false ); // Normal post thumbnails
	add_image_size( 'buyuk', 510, 219, true ); // ($name, $width, $height, $crop)
}
/*Wp Head Fazlaliklar*/
remove_action( 'wp_head', 'wp_generator' ); // Display the XHTML generator that is generated on the wp_head hook, WP version
add_action('widgets_init', 'my_remove_recent_comments_style');
function my_remove_recent_comments_style() {
	global $wp_widget_factory;
	remove_action('wp_head', array($wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style'));
}

/*Yan menu Bileseni*/
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'yanmenu',
        'before_widget' => '<div class="yanmenu">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	register_sidebar(array(
		'name' => 'hakkinda',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h6>',
        'after_title' => '</h6>',
    ));

function twentyten_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 40 ); ?>
			<?php printf( __( '%s <span class="says">dedi:</span>', 'twentyten' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em>Yorumunuz onay bekliyor.</em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'twentyten' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Düzenle)', 'twentyten' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'twentyten' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(düzenle)', 'twentyten'), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
/*-----------------------------------------------------------------------------------*/
// Populer Yazilar
/*-----------------------------------------------------------------------------------*/
if (!function_exists('populer_yazilar')) {
	function populer_yazilar( $posts = 5 ) {
	?>
    		<div class="yanmenu">
            	<h2>Popüler Yazılar</h2>
                <div class="populer">
                <?php
				query_posts("showposts=".$posts."&orderby=comment_count");
				while (have_posts()) : the_post();
				?>	
                    <p>
                    <?php
					if ( has_post_thumbnail() ) { ?>
						<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
					<?php } else { ?>
						<a href="<?php the_permalink(); ?>"><img src="<?php bloginfo('template_url'); ?>/images/resim_yok.gif" class="resimsolda" alt="" /></a>
					<?php } ?>
                    
                    <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                    <span class="tarih_devam"><?php the_time('d.m.Y'); ?> | <a href="<?php the_permalink(); ?>">Devamı &raquo;</a></span><!--kategori bitti -->
                    </p>
                <?php endwhile; wp_reset_query(); ?>
                </div><!--populer bitti -->
            </div><!--yanmenu bitti -->
	<?php 
		} // populer yazi
}
// Navigasyon menuler
add_action( 'init', 'menu_kayit' );
function menu_kayit() {
	register_nav_menus(array('kategorimenu' => __( 'Kategori Menusu' )));
	register_nav_menus(array('sayfamenu' => __( 'Sayfa Menusu' )));
	register_nav_menus(array('onemlisayfalar' => __( 'Onemli Sayfalar' )));
}

// Düzenleme
function duzenle($icerik, $tip = '1'){
	switch($tip) {
	case '1':
		if ( $icerik <> "" ) {
			echo stripslashes(trim($icerik)) . "\n";
		}
	break;
	case '2':
		if ( $icerik <> "" ) {
			echo stripslashes($icerik) . "\n";
		} else {
			echo '<p>Reklam Alanı</p>';
		}
	}
}
?>