<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/amacseo.css" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<!--[if IE]>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/all-ie.css" type="text/css" media="screen" />
<![endif]-->
<!--[if IE 7]>
  <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/css/ie-7.0.css" media="screen" />
<![endif]-->
<!--[if IE 6]>
  <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/css/ie-6.0.css" media="screen" />
<![endif]-->
<?php if (is_singular()) { wp_enqueue_script('comment-reply'); } ?>
<?php wp_head(); ?>
</head>

<body>
<div id="cerceve">
<!--Ust Taraf -->
<div id="ust">
	<div class="container_12">
    	<div class="grid_4">
		  <div class="logo">
          	<h1><a href="<?php echo home_url( '/' ); ?>" title="#"><?php bloginfo('name'); ?></a></h1>
			<p><?php bloginfo('description'); ?></p>
          </div><!--logo bitti -->
        </div><!--4 bitti -->
      	<div class="grid_8">
        <div class="sayfa_menu">
            <?php if ( has_nav_menu( 'sayfamenu' ) ) { 
			wp_nav_menu('sort_column=menu_order&container=ul&theme_location=sayfamenu'); 
			} else { ?>
				<ul>
					<?php wp_list_pages('sort_column=menu_order&title_li=&depth=1' ); ?>
				</ul>
			<?php } ?>
        </div><!--sayfa_menu bitti -->
        <div class="arama_bolumu">
        	<?php
			$search_form = '
			<form method="get" action="' . get_option('home') . '/">
				<p><input type="text" value="' . esc_attr(apply_filters('the_search_query', get_search_query())) . '" name="s" id="ara_kutu" /><input type="submit" id="ara_buton" value="ARA" /></p>
			</form>';
			echo $search_form; ?>
        </div><!--arama_bolumu -->
        </div><!--5 bitti -->
      	<div class="clear">&nbsp;</div>
        <div class="grid_12">
        	<div class="kat_menu">
            	<?php if ( has_nav_menu( 'kategorimenu' ) ) { 
                wp_nav_menu('sort_column=menu_order&container=ul&theme_location=kategorimenu'); 
				} else { ?>
					<ul>
						<li<?php if ( is_home() ) { echo ' class="current_cat"'; } ?>><a href="<?php bloginfo('url'); ?>">ANASAYFA</a></li>
						<?php wp_list_categories('sort_column=menu_order&title_li=&depth=1' ); ?>
					</ul>
				<?php } ?>
            	
            </div><!--kat_menu bitti -->
        </div><!--12 bitti -->
        <div class="clear">&nbsp;</div>
    </div><!--12 bitti -->
</div><!--ust_bitti -->
<!--Ust Taraf -->